Name:		rhn-upgrade
Summary:	Red Hat Satellite upgrade documentation
Version:	5.7.0.33
Release:	1%{?dist}
Group:		Red Hat Satellite/Server
License:	Red Hat Satellite Subscription License
Url:		http://rhn.redhat.com/
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

%define rhnroot /etc/sysconfig/rhn/satellite-upgrade/
%define docroot %{rhnroot}/doc
%define scriptsroot %{rhnroot}/scripts
%define schemadumproot /etc/sysconfig/rhn/schema-dump

%define schemaupgraderoot /etc/sysconfig/rhn/schema-upgrade


%description
The rhn-upgrade package is all the documentation needed to upgrade
Red Hat Satellite. Start with file %{rhnroot}README.
Please contact your Red Hat Support representative with any questions on
following the documentation.

%prep
%setup -q -n %{name}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
install -m 0750 -d $RPM_BUILD_ROOT%{docroot}
install -m 0750 -d $RPM_BUILD_ROOT%{scriptsroot}
install -m 0400 doc/README $RPM_BUILD_ROOT%{rhnroot}
install -m 0400 doc/*.txt $RPM_BUILD_ROOT%{docroot}
install -m 0750 scripts/* $RPM_BUILD_ROOT%{scriptsroot}
# spacewalk-dump-schema
install -m 0750 scripts/spacewalk-dump-schema $RPM_BUILD_ROOT%{scriptsroot}
install -m 0755 -d $RPM_BUILD_ROOT%{schemadumproot}/post
install -m 0755 -d $RPM_BUILD_ROOT%{schemadumproot}/pre
install -m 0755 -d $RPM_BUILD_ROOT%{schemadumproot}/sequences
install -m 0755 -d $RPM_BUILD_ROOT%{schemadumproot}/sql
install -m 0755 -d $RPM_BUILD_ROOT%{schemadumproot}/tables
install -m 0644 spacewalk-dump-schema-data/post/* $RPM_BUILD_ROOT%{schemadumproot}/post
install -m 0644 spacewalk-dump-schema-data/pre/* $RPM_BUILD_ROOT%{schemadumproot}/pre
install -m 0644 spacewalk-dump-schema-data/sequences/* $RPM_BUILD_ROOT%{schemadumproot}/sequences
install -m 0644 spacewalk-dump-schema-data/sql/* $RPM_BUILD_ROOT%{schemadumproot}/sql
install -m 0644 spacewalk-dump-schema-data/tables/* $RPM_BUILD_ROOT%{schemadumproot}/tables
# schema upgrade root
install -d 0755 $RPM_BUILD_ROOT%{schemaupgraderoot}
# https://bugzilla.redhat.com/show_bug.cgi?id=1024830
install -d 0750 $RPM_BUILD_ROOT%{schemaupgraderoot}/spacewalk-schema-1.7-to-spacewalk-schema-1.8
install -d 0750 $RPM_BUILD_ROOT%{schemaupgraderoot}/spacewalk-schema-2.2-to-spacewalk-schema-2.3
install -m 0644 sql/145-rhnDistChannelMap.sql.oracle.override $RPM_BUILD_ROOT%{schemaupgraderoot}/spacewalk-schema-1.7-to-spacewalk-schema-1.8/
install -m 0644 sql/001-rhnPackageKey-Fedora-21.sql.*.override $RPM_BUILD_ROOT%{schemaupgraderoot}/spacewalk-schema-2.2-to-spacewalk-schema-2.3/
install -m 0644 sql/037-support-for-armv5-channel.sql.*.override $RPM_BUILD_ROOT%{schemaupgraderoot}/spacewalk-schema-1.7-to-spacewalk-schema-1.8/
install -m 0644 sql/055-armv6l.sql.*.override $RPM_BUILD_ROOT%{schemaupgraderoot}/spacewalk-schema-1.7-to-spacewalk-schema-1.8/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{rhnroot}/*
%dir %{schemadumproot}
%{schemadumproot}/*
%{schemaupgraderoot}/*

%changelog
* Wed Apr 13 2016 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.33-1
- 1308521 - there are no constraints during DB migration

* Thu Apr 07 2016 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.32-1
- 1308521 - use id instead of label

* Wed Apr 06 2016 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.31-1
- 1308521 - teach rhnTaskoRun table about ON DELETE CASCADE

* Thu Mar 24 2016 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.30-1
- Revert "1313262 - clarify external postgresql upgrade instructions"
- 1316555 - advise to stop satellite services before running yum upgrade
- 1316630 - postgresql database migrations between x86_64 and s390x are not
  supported

* Thu Mar 03 2016 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.29-1
- 1314356 - don't insert armv6l arch info if it's already synced
- 1313365 - don't insert armv5 arch info if it's already synced
- 1274583 - insert taskomatic values only where they don't exist

* Tue Mar 01 2016 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.28-1
- 1313262 - clarify external postgresql upgrade instructions

* Mon Feb 15 2016 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.27-1
- 1308521 - purge taskomatic records during upgrade

* Fri Jan 30 2015 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.26-1
- Revert "1180095 - fix unique constrait violation during upgrade with rhel 7
  synced"
- 1181763 - proxy setting needs to be restored before activation

* Wed Jan 28 2015 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.25-1
- 1181763 - proxy setting needs to be restored before activation
- 1181826 - Postgresql vs. PostgreSQL

* Fri Jan 23 2015 Stephen Herr <sherr@redhat.com> 5.7.0.24-1
- 1183184 - cause regeneration of kickstart files to fix broken urls

* Thu Jan 22 2015 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.23-1
- 1181763 - mention to verify proxy setting after upgrade
- 1181826 - be more explicit regarding disk space requirements
- be even more specific that this is only for Satellite 5.7 upgrades
- 1180095 - fix unique constrait violation during upgrade with rhel 7 synced

* Wed Jan 07 2015 Tomas Lestach <tlestach@redhat.com> 5.7.0.22-1
- remove database migrations documentation from rhn-upgrade package

* Tue Jan 06 2015 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.21-1
- 1168016 - postgresql - embedded vs. managed and external
- 1173837 - clarify wording
- fix minor typos
- 1175609 - don't mention --external-postgresql option twice

* Thu Dec 18 2014 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.20-1
- upgrade of PG_DATADIR skip notce

* Wed Dec 17 2014 Jan Dobes 5.7.0.19-1
- 1175189 - database migrations documentation

* Wed Dec 17 2014 Tomas Lestach <tlestach@redhat.com> 5.7.0.18-1
- 1174467 - fix schema upgrade logic in satellite-upgrade-estimates
- 1174662 - mention Managed DB upgrades in doc/preparations.txt
- 1174662 - various managed DB upgrade doc fixes

* Mon Dec 15 2014 Grant Gainey 5.7.0.17-1
- Tiny grammar and standardization tweaks to upgrade-docs
- update managed-db upgrade docs
- s/install/upgrade/
- instructions for managed DB + OS upgrade scenarios
- 1173837 - satellite and os upgrades with external postgresql

* Mon Dec 15 2014 Jan Dobes 5.7.0.16-1
- migration doc fixes
- create migration doc file

* Fri Dec 12 2014 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.15-1
- 1172995 - don't instruct to restore tnsnames.ora
- 1171696 - don't show time needed for Oracle db upgrade during migration

* Wed Dec 10 2014 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.14-1
- fix typo
- 1172115 - create new taskomatic bunch added during 5.6 -> 5.7 upgrade
- 1170627 - database location has changed in 5.7

* Fri Dec 05 2014 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.13-1
- use satellite-schema-5.7.0.11-1-sat

* Thu Dec 04 2014 Stephen Herr <sherr@redhat.com> 5.7.0.12-1
- 1167985 - sat-upgrade-estimates should estimate import / export times for pg
  db

* Thu Dec 04 2014 Stephen Herr <sherr@redhat.com> 5.7.0.11-1
- 1167985, 1167770 - update satellite-upgrade-estimates to be more correct for
  5.7

* Wed Dec 03 2014 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.10-1
- use satellite-schema-5.7.0.10
- 1168013 - update doc text to reflect hosted changes
- use satellite-schema-5.7.0.9

* Tue Dec 02 2014 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.9-1
- 1168139 - /etc/rhn/rhn.conf should be updated for custom database connections
- specify package location + lessen paragraph width a bit
- 1169299 - mention that Satellite services should be stopped
- state Postgresql variant as 1st one
- use db-control tool only when upgrading from 5.6 with PG database

* Fri Nov 28 2014 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.8-1
- 1168013 - description fix
- Upgrade database schema after PG_DATADIR format upgrade
- 1168025 - use db-control tool for dhatabase operations

* Thu Nov 27 2014 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.7-1
- upgrade of PG_DATADIR is required during 5.6 -> 5.7 upgrades
- 1127735 - line wrap long paragraph
- schema migrations: use satellite-schema-5.7.0.8
- 1168016 - instruction for upgrades from 5.6 with postgresql

* Fri Nov 21 2014 Stephen Herr <sherr@redhat.com> 5.7.0.6-1
- 1127735 - Mention explicitly that rhn-upgrade with be in old Sat channel
- 1134293 - make recognize_guests.py work on Sat 5.3
- 1063922 - don't delete rhnUserInfo for users in Hong Kong on schema upgrade
- 1165766 - fixing user_segments error in satellite-upgrade-estimates
- 1165852 - Fixing DEFAULT_DB errors in upgrade scripts
- 1165854 - clearly define applicable databases

* Wed Nov 19 2014 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.5-1
- separate instructions for managed db installation/upgrade
- external Oracle + OS upgrade instructions
- external Oracle uplgrade instructions
- ISS config should be restored only for 5.5 and older
- upgrade instructions for postgresql/no os upgrade scenario

* Wed Oct 22 2014 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.4-1
- schema migrations: use satellite-schema-5.7.0.5

* Mon Oct 20 2014 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.3-1
- table definitions for 5.5 -> 5.7 database migrations
- buil rhn-upgrade package also on rhel 5

* Wed Sep 10 2014 Tomas Kasparek <tkasparek@redhat.com> 5.7.0.2-1
- upgrade instructions for postgresql databases (OS upgrade)
- upgrade instructions for postgresql databases
- update point-release-update.txt file for 5.7

* Mon Sep 08 2014 Michael Mraka <michael.mraka@redhat.com> 5.7.0.1-1
- 1109931 - don't regenerate repodata for old up2date (RHEL4) channels
- update upgrades/README file

* Fri May 02 2014 Stephen Herr <sherr@redhat.com> 5.6.0.42-1
- 1085151 - Add step to check character encoding
- 1081433 - Update upgrade docs to correctly handle extra %%pre in old snippet

* Tue Nov 26 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.41-1
- 1024830 - migrations: delete child channel fks in rhnDistChannelMap

* Tue Nov 26 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.40-1
- 1016799 - polish instructions to install rhn-upgrade package
- 1023513 - preparations: instructions for checking / extending db tablespace
- 1029657 - recognize_guests.py: populate rhnVirtualInstanceInfo table
- 1024830 - delete child channel references from rhnDistChannelMap

* Thu Oct 03 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.39-1
- 1014986 - estimages: fix traceback for migrations from Satellite 5.5

* Tue Sep 24 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.38-1
- data migrations: size estimates for Oracle data tablespace
- 1011419 - nice error message when DB is down

* Mon Sep 16 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.37-1
- 997812 - Satellite upgrade estimates

* Thu Sep 12 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.36-1
- 1007319 - polish the instructions

* Thu Sep 12 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.34-1
- 843620 - tools & instructions to rebuild channel repodata

* Tue Sep 10 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.33-1
- Post schema migration: don't drop rhn_pkg_cld_id_seq index

* Tue Sep 10 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.32-1
- 1006305 - increase LongReadLen to 20M
- drop rhn_pkg_cld_nt_idx index after migration

* Thu Sep 05 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.31-1
- 1004833 - don't modify admin roles during schema migration

* Tue Sep 03 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.30-1
- 1003887 - documentation fix

* Thu Aug 29 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.29-1
- 997764 - instructions to restore ISS configuration

* Tue Aug 27 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.28-1
- schema migrations: delete duplicates from rhnServerDMI
- 999463 - rhnCPU: fix duplicate deletion

* Thu Aug 22 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.27-1
- 999963 - update-packages no longer needs --db option

* Wed Aug 21 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.26-1
- 999463 - fix deletion of duplicates in rhnCpu table

* Wed Aug 21 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.25-1
- schema migrations: use satellite-schema-5.6.0.10
- schema migration from Satellite 5.2 for rhnServer table

* Tue Aug 20 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.24-1
- schema migrations: delete duplicate values from rhnCpu table

* Tue Aug 20 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.23-1
- 997737 - removed extraneous text
- 997813 - polish the schema import text
- 997823 - fix date problem during rhnOrgConfiguration migration

* Fri Aug 16 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.22-1
- 997534 - migration: delete duplicate values from rhnServerPackage
- schema migration: web_contact_all table
- schema migrations: more re-branding changes
- add Fedora 19 GPG key (07477e65fb4b18e6)

* Tue Aug 13 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.21-1
- migrations: delete duplicates from rhnDistChannelMap
- 995533 - rhnRam: delete duplicate values during migration

* Fri Aug 09 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.20-1
- migrations: delete duplicates from rhnPackageUpgradeArchCompat

* Thu Aug 08 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.19-1
- schema migration: new columns in rhnOrgConfiguration table

* Thu Aug 08 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.18-1
- 991481 - schema migration: fix column name

* Wed Aug 07 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.17-1
- Set migraged schema version to satellite-schema-5.6.0.8-1

* Wed Aug 07 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.16-1
- 991005 - check the ks profile name compliance regardless of version

* Wed Aug 07 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.15-1
- 991481 - rhnServer: definition for schema migration

* Tue Aug 06 2013 Tomas Kasparek <tkasparek@redhat.com> 5.6.0.14-1
- Branding clean-up (RHN Satellite -> RH Satellite)

* Mon Jul 15 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.13-1
- 856278: entitlement-check: check the certificate version
- upgrade instructions for new migration scenarios
- instructions for managed db installation

* Wed Jun 26 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.12-1
- Support for Satellite 5.6 running on RHEL-5
- Rebrand: RHN Satellite -> Red Hat Satellite

* Wed Jun 05 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.11-1
- schema migrations: forgotten rhnConfigContent.contents

* Wed Jun 05 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.10-1
- schema migrations: rebrand to Red Hat Satellite

* Thu May 23 2013 Tomas Kasparek <tkasparek@redhat.com> 5.6.0.9-1
- branding clean-up of README and upgrade instructions

* Tue May 21 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.8-1
- 964144: fix rhnConfigContent transformation

* Tue May 14 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.7-1
- spacewalk-dump-schema: parse db connection info automatically

* Fri May 10 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.6-1
- web_customer -> rhnOrgConfiguration migration definitions
- spacewalk-dump-schema: correctly quote database name

* Fri May 03 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.5-1
- migration definition for web_customer

* Thu May 02 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.4-1
- remove upgrade estimates from 5.6 beta rhn-upgrade

* Tue Apr 30 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.3-1
- disable, enable & rebuild indexes for migrations
- migration: remove additional data from rhnUserGroup, rhnUserGroupType

* Thu Apr 18 2013 Milan Zazrivec <mzazrivec@redhat.com> 5.6.0.2-1
- schema upgrade and migration fixes

* Mon Mar 18 2013 Michael Mraka <michael.mraka@redhat.com> 5.6.0.1-1
- rebuild for Satellite 5.6

* Thu Oct 25 2012 Milan Zazrivec <mzazrivec@redhat.com> 5.5.0.18-1
- 860598 - extend tablespace first backup the db then
- 867408 - fix unique constraint violation during schema upgrade

* Tue Sep 25 2012 Milan Zazrivec <mzazrivec@redhat.com> 5.5.0.17-1
- 860143 - fix rhnPackageGroup cleanup (mzazrivec@redhat.com)

* Mon Sep 03 2012 Milan Zazrivec <mzazrivec@redhat.com> 5.5.0.16-1
- fix output formatting of satellite-upgrade-estimates

* Fri Aug 17 2012 Milan Zazrivec <mzazrivec@redhat.com> 5.5.0.15-1
- typo fixes

* Tue Aug 07 2012 Milan Zazrivec <mzazrivec@redhat.com> 5.5.0.14-1
- spec file fix

* Tue Aug 07 2012 Milan Zazrivec <mzazrivec@redhat.com> 5.5.0.13-1
- 640273 - unified script for upgrade estimates
- 710138 - point release update: backup before package update
- 708366 - update-ks-profiles: don't iterate over empty sequence
- 650356, 719629, 749038 - upgrades with answer file

* Thu Jun 21 2012 Milan Zazrivec <mzazrivec@redhat.com> 5.5.0.2-1
- Satellite 5.5 upgrade documentation

* Mon Apr 16 2012 Michael Mraka <michael.mraka@redhat.com> 5.5.0.1-1
- bumped version

* Mon Apr 16 2012 Michael Mraka <michael.mraka@redhat.com> 5.4.0.26-1
- The rhn-charsets is always available.

* Thu May 26 2011 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.25-1
- 679974 - report conflicting kickstart profile labels

* Wed Apr 20 2011 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.24-1
- instructions for point release updates

* Mon Apr 18 2011 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.23-1
- Support for RHEL-6 in upgrade documentation
- 674800 - instructions to check / set database optimizer
- 679974 - conversion of invalid kickstart profiles
- 679665 - correct virt. guest recognition
- 677377 - correct processing of snippets with unusual filenames
- 666836 - correct documentation link

* Wed Jan 19 2011 Justin Sherrill <jsherril@redhat.com> 5.4.0.22-1
- 670754 - fixing error in entitlement-check when a new channel family is
  discovered in the certificate (jsherril@redhat.com)
- 671014 - fixing error in guest recognition where bios_vendor could be null
  (jsherril@redhat.com)

* Fri Jan 07 2011 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.21-1
- schema upgrade fixes for 653510, 661109, 667232

* Mon Jan 03 2011 Justin Sherrill <jsherril@redhat.com> 5.4.0.20-1
- fixing a few more issues with the upgrade entitlement test script
  (jsherril@redhat.com)

* Mon Jan 03 2011 Justin Sherrill <jsherril@redhat.com> 5.4.0.19-1
- renaming recognize_guests, since it is used as a library, and cleaning up
  imports (jsherril@redhat.com)

* Thu Dec 23 2010 Justin Sherrill <jsherril@redhat.com> 5.4.0.18-1
- 664930 - adding scripts to upgrade to a) convert un-recognized guests to
  guests, b) read a cert and test the software entitlements to verify it can be
  activated without issue (jsherril@redhat.com)

* Fri Dec 10 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.17-1
- 650129 - pull channel info according to valid entitlements

* Wed Dec 08 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.16-1
- 650129 - use correct variable name in logging message

* Wed Dec 08 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.15-1
- 650129 - proper time zone handling
- fix-imported-content: add --list-content option

* Tue Dec 07 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.14-1
- 660635 - fix file conflict with spacewalk-schema

* Thu Dec 02 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.13-1
- 650129 - correctly handle channels without kickstartable trees

* Wed Dec 01 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.12-1
- 650129 - re-enable the trigger after table update

* Wed Dec 01 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.11-1
- 650273 - delete the cache and kickstart just before the upgrade
- 650129 - script to fix data corrupted during upgrade
- 650129 - don't change last_modified values during schema upgrade
- 647769 - do not print warning message if no cobbler snippet exist

* Fri Oct 15 2010 Michael Mraka <michael.mraka@redhat.com> 5.4.0.10-1
- forcing rebuild

* Fri Oct 15 2010 Michael Mraka <michael.mraka@redhat.com> 5.4.0.9-1
- 591549 - kickstart snippet conversion
- 643042 - kickstart profiles conversion

* Wed Oct 06 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.8-1
- 626876 - remove kickstart files before upgrade

* Tue Oct 05 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.7-1
- 640203 - correct satellite restart instructions

* Thu Sep 30 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.6-1
- include pre v5.4 costs in schema upgrade time estimates

* Wed Sep 29 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.5-1
- 607636 - support for upgrading Satellite on a new hostname
- 626876 - delete kickstart files before the upgrade
- 588933 - restructured satellite upgrade documentation
- time estimates for time consuming steps

* Fri Aug 27 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.4-1
- 585012 - 64-bit fix is no longer needed
- documentation & scripts fixes

* Fri Aug 27 2010 Milan Zazrivec <mzazrivec@redhat.com> 5.4.0.2-1
- update upgrade documentation for Satellite 5.4
- 585012 - make the db catalog recompilation easier
- 585012 - make the db catalog recompilation easier
- 585012 - be more clear about how to run install.pl during upgrade
- 544314 - use yum check-update correctly
- 526352 - typo fix
- added notes about Oracle 11g

* Thu Sep 24 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.24-1
- 523389 - better estimate for TEMP_TBS consumption

* Tue Sep 22 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.23-1
- 524718 - additional notes for schema upgrade process
- 509112 - better estimate for temporary tablespace requirement
- 523390 - note that filer conversion is a time consuming process
- 523389 - fixes for large temp_tbs & undo_tbs consumption
- 523393 - update-5.3.0-packages script fixing filer conversion problems

* Wed Jul 29 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.21-1
- remove java packages on el4 only (preparation)
- 514041 - consistent summary and detailed upgrade description

* Thu Jul 16 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.20-1
- 511986 - backup / restore nocpulse user ssh key pair
- 512089 - point to correct location for monitoring verification
- 489989 - run db pre upgrade scripts for 5.1.1 and older only

* Wed Jul 15 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.19-1
- 511052 - instructions for rhn-update-monitoring.pl
- 511055 - explain message from rhn-enable-push.pl

* Mon Jul 13 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.17-1
- fixes for 510778, 510742 (documentation cleanup)

* Wed Jul 08 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.16-1
- 510130 - typo fix

* Wed Jul 01 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.15-1
- 509112 - procedure for extending TEMP_TBS

* Tue Jun 23 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.14-1
- don't check $ORACLE_HOME during upgrade
- don't increase number of db processes during upgrade
- don't restore rhn.conf during upgrade

* Thu Jun 18 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.13-1
- document point release update on RHEL5
- upgrade documentation cleanup
* Tue Jun 02 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.12-1
- document 10g embedded db upgrade

* Thu May 28 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.11-1
- documentation cleanup
- instructions for upgrade with selinux

* Tue May 19 2009 Brad Buckingham <bbuckingham@redhat.com> 5.3.0.10-1
- Package rebuild

* Thu May 14 2009 Brad Buckingham <bbuckingham@redhat.com> 5.3.0.9-1
- typo fix (mzazrivec@redhat.com)

* Wed May 06 2009 Devan Goodwin <dgoodwin@redhat.com> 5.3.0.8-1
- fix schema version query (mzazrivec@redhat.com)

* Mon Apr 20 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.7-1
- distinguish up2date from yum (mzazrivec@redhat.com)
- 493466 - remove perl scripts from spec (mzazrivec@redhat.com)
- 493466 - update paths of perl scripts in upgrade documentation (mzazrivec@redhat.com)
- 493466 - remove perl scripts from rhn-upgrade (mzazrivec@redhat.com)
- 490003 - docs: upgrade database to 9.2.0.4 before you can upgrade to 10g (mzazrivec@redhat.com)
- we no longer support upgrades from pre 3.1.5 schemas (mzazrivec@redhat.com)

* Wed Apr 01 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.6-1
- 474555 - restored calling of original RHN::SatInstall routines

* Thu Mar 12 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.5-1
- fixes for 472807, 471993, 487768, 487770, 488090, 488092

* Thu Feb 19 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.4-1
- updated upgrade documentation with rhn-search step

* Tue Feb 17 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0.3-1
- 478966 - update documentation in rhn-upgrade
- add dist flag to package release

* Fri Feb 13 2009 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0-5
- imported fixes for 471993, 472574, 472807, 472807

* Wed Dec 17 2008 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0-3
- removed schema upgrade scripts distributed with satellite-schema

* Tue Dec 16 2008 Milan Zazrivec <mzazrivec@redhat.com> 5.3.0-2
- resolved #474555 - added split() from missing split_dsn() routine

* Fri Nov 28 2008 Michael Mraka <michael.mraka@redhat.com> 5.2.0-23
- resolved #472574 - upgrades from post-3.3 but pre-5.0 releases
- resolved #471993 - upgrades from pre-3.3 releases

* Fri Oct  3 2008 Michael Mraka <michael.mraka@redhat.com> 5.2.0-22
- #465317 - documentation fix

* Thu Oct  2 2008 Miroslav Suchý <msuchy@redhat.com> 5.2.0-21
- change 5Server to 5 Server
- fixed #464839

* Wed Oct  1 2008 Michael Mraka <michael.mraka@redhat.com> 5.2.0-18
- added steps for upgrading 9i embedded database backups to 10g

* Wed Sep 17 2008 Michael Mraka <michael.mraka@redhat.com> 5.2.0-16
- fixed spacing in upgrade documents

* Tue Sep  9 2008 Miroslav Suchý <msuchy@redhat.com> 5.2.0-14
- add note about RHEL5

* Mon Sep  8 2008 Michael Mraka <michael.mraka@redhat.com> 5.2.0-13
- fixed #461295

* Thu Sep  4 2008 Miroslav Suchý <msuchy@redhat.com> 5.2.0-12
- add notes about RHEL5 and Oracle 10g

* Thu Aug 28 2008 Michael Mraka <michael.mraka@redhat.com> 5.2.0-11
- fixed #460382

* Tue Jul 22 2008 Michael Mraka <michael.mraka@redhat.com> 5.2.0-10
- 5.2 branch rebuild

* Tue Jul 15 2008 Michael Mraka <michael.mraka@redhat.com> 5.2.0-8
- Package rebuild to support 5.2 Satellite upgrades
- rebuild in dist.cvs

* Tue Nov 27 2007 Jan Pazdziora
- Package rebuild to support 5.1 Satellite upgrades
- Added sql upgrade for 5.0 to 5.1

* Fri May 18 2007 Clifford Perry <cperry@redhat.com>
- Package rebuild to support 5.0 Satellite upgrades
- Added sql upgrade for 4.2 to 5.0
- Files renamed from -4 to -5 and content

* Fri Apr 20 2007 Clifford Perry <cperry@redhat.com>
- Added sql upgrade for 4.2.0-4 to 4.2.1-2

* Thu Jan 25 2007 Miroslav Suchy <msuchy@redhat.com>
- sql upgrade from 4.1 to 4.2

* Mon Jun 19 2006 Clifford Perry <cperry@redhat.com>
- Initial build into rpm from tar.gz format.
